Package fr.gouv.vitam.storage.engine.server.rest

# Class StorageConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.storage.engine.server.rest.StorageConfiguration

All Implemented Interfaces:
  `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public final class StorageConfiguration extends DefaultVitamApplicationConfiguration

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageConfiguration()`
  StorageConfiguration empty constructor for YAMLFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLoggingDirectory()`
  `int`
  `getMinBulkWriteTimeoutMsPerObject()`
  `int`
  `getMinWriteTimeoutMs()`
  `int`
  `getOfferSyncAccessRequestCheckWaitingTime()`
  `int`
  `getOfferSyncFirstAttemptWaitingTime()`
  `int`
  `getOfferSynchronizationBulkSize()`
  `int`
  `getOfferSyncNumberOfRetries()`
  `int`
  `getOfferSyncThreadPoolSize()`
  `int`
  `getOfferSyncWaitingTime()`
  `String`
  `getP12LogbookFile()`
  `String`
  `getP12LogbookPassword()`
  `int`
  `getStorageLogBackupThreadPoolSize()`
  `int`
  `getStorageLogTraceabilityThreadPoolSize()`
  `Integer`
  `getStorageTraceabilityOverlapDelay()`
  Gets the overlap delay (in seconds) for logbook operation traceability events.
  `Integer`
  `getTimeoutMsPerKB()`
  `String`
  `getUrlWorkspace()`
  `String`
  `getZippingDirecorty()`
  `Boolean`
  `isReadOnly()`
  `void`
  `setLoggingDirectory(String loggingDirectory)`
  `StorageConfiguration`
  `setMinBulkWriteTimeoutMsPerObject(int minBulkWriteTimeoutMsPerObject)`
  `StorageConfiguration`
  `setMinWriteTimeoutMs(int minWriteTimeoutMs)`
  `void`
  `setOfferSyncAccessRequestCheckWaitingTime(int offerSyncAccessRequestCheckWaitingTime)`
  `void`
  `setOfferSyncFirstAttemptWaitingTime(int offerSyncFirstAttemptWaitingTime)`
  `StorageConfiguration`
  `setOfferSynchronizationBulkSize(int offerSynchronizationBulkSize)`
  `void`
  `setOfferSyncNumberOfRetries(int offerSyncNumberOfRetries)`
  `StorageConfiguration`
  `setOfferSyncThreadPoolSize(int offerSyncThreadPoolSize)`
  `void`
  `setOfferSyncWaitingTime(int offerSyncWaitingTime)`
  `void`
  `setP12LogbookFile(String p12LogbookFile)`
  `void`
  `setP12LogbookPassword(String p12LogbookPassword)`
  `StorageConfiguration`
  `setReadOnly(Boolean readOnly)`
  `void`
  `setStorageLogBackupThreadPoolSize(int storageLogBackupThreadPoolSize)`
  `void`
  `setStorageLogTraceabilityThreadPoolSize(int storageLogTraceabilityThreadPoolSize)`
  `void`
  `setStorageTraceabilityOverlapDelay(Integer storageTraceabilityOverlapDelay)`
  Sets the overlap delay (in seconds) for logbook operation traceability events.
  `StorageConfiguration`
  `setTimeoutMsPerKB(Integer timeoutMsPerKB)`
  `StorageConfiguration`
  `setUrlWorkspace(String urlWorkspace)`
  `void`
  `setZippingDirecorty(String zippingDirecorty)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, setBaseUri, setBaseUrl`

- ## Constructor Details

  - ### StorageConfiguration

    public StorageConfiguration()
    StorageConfiguration empty constructor for YAMLFactory

- ## Method Details

  - ### getUrlWorkspace

    public String getUrlWorkspace()
    Returns:
      the urlWorkspace

  - ### setUrlWorkspace

    public StorageConfiguration setUrlWorkspace(String urlWorkspace)
    Parameters:
      `urlWorkspace` - the urlWorkspace to set
    Returns:
      this

  - ### getTimeoutMsPerKB

    public Integer getTimeoutMsPerKB()
    Returns:
      the timeout in millisecond for one kB

  - ### setTimeoutMsPerKB

    public StorageConfiguration setTimeoutMsPerKB(Integer timeoutMsPerKB)
    Parameters:
      `timeoutMsPerKB` - the timeout for on kB transfered in milliseconds
    Returns:
      this

  - ### getLoggingDirectory

    public String getLoggingDirectory()
    Returns:
      loggingDirectory

  - ### setLoggingDirectory

    public void setLoggingDirectory(String loggingDirectory)
    Parameters:
      `loggingDirectory` -

  - ### getZippingDirecorty

    public String getZippingDirecorty()
    Returns:
      zippingDirecorty

  - ### setZippingDirecorty

    public void setZippingDirecorty(String zippingDirecorty)
    Parameters:
      `zippingDirecorty` -

  - ### getP12LogbookPassword

    public String getP12LogbookPassword()
    Returns:
      password of p12

  - ### setP12LogbookPassword

    public void setP12LogbookPassword(String p12LogbookPassword)
    Parameters:
      `p12LogbookPassword` - file to set

  - ### getP12LogbookFile

    public String getP12LogbookFile()
    Returns:
      p12 logbook file

  - ### setP12LogbookFile

    public void setP12LogbookFile(String p12LogbookFile)
    Parameters:
      `p12LogbookFile` - file to set

  - ### getStorageTraceabilityOverlapDelay

    public Integer getStorageTraceabilityOverlapDelay()
    Gets the overlap delay (in seconds) for logbook operation traceability events. Used to catch up possibly missed events due to clock difference.
    Returns:
      The overlap delay (in seconds).

  - ### setStorageTraceabilityOverlapDelay

    public void setStorageTraceabilityOverlapDelay(Integer storageTraceabilityOverlapDelay)
    Sets the overlap delay (in seconds) for logbook operation traceability events.

  - ### getOfferSynchronizationBulkSize

    public int getOfferSynchronizationBulkSize()

  - ### setOfferSynchronizationBulkSize

    public StorageConfiguration setOfferSynchronizationBulkSize(int offerSynchronizationBulkSize)

  - ### getOfferSyncThreadPoolSize

    public int getOfferSyncThreadPoolSize()

  - ### setOfferSyncThreadPoolSize

    public StorageConfiguration setOfferSyncThreadPoolSize(int offerSyncThreadPoolSize)

  - ### getOfferSyncNumberOfRetries

    public int getOfferSyncNumberOfRetries()

  - ### setOfferSyncNumberOfRetries

    public void setOfferSyncNumberOfRetries(int offerSyncNumberOfRetries)

  - ### getOfferSyncFirstAttemptWaitingTime

    public int getOfferSyncFirstAttemptWaitingTime()

  - ### setOfferSyncFirstAttemptWaitingTime

    public void setOfferSyncFirstAttemptWaitingTime(int offerSyncFirstAttemptWaitingTime)

  - ### getOfferSyncWaitingTime

    public int getOfferSyncWaitingTime()

  - ### setOfferSyncWaitingTime

    public void setOfferSyncWaitingTime(int offerSyncWaitingTime)

  - ### getOfferSyncAccessRequestCheckWaitingTime

    public int getOfferSyncAccessRequestCheckWaitingTime()

  - ### setOfferSyncAccessRequestCheckWaitingTime

    public void setOfferSyncAccessRequestCheckWaitingTime(int offerSyncAccessRequestCheckWaitingTime)

  - ### getStorageLogBackupThreadPoolSize

    public int getStorageLogBackupThreadPoolSize()

  - ### setStorageLogBackupThreadPoolSize

    public void setStorageLogBackupThreadPoolSize(int storageLogBackupThreadPoolSize)

  - ### getStorageLogTraceabilityThreadPoolSize

    public int getStorageLogTraceabilityThreadPoolSize()

  - ### setStorageLogTraceabilityThreadPoolSize

    public void setStorageLogTraceabilityThreadPoolSize(int storageLogTraceabilityThreadPoolSize)

  - ### getMinWriteTimeoutMs

    public int getMinWriteTimeoutMs()

  - ### setMinWriteTimeoutMs

    public StorageConfiguration setMinWriteTimeoutMs(int minWriteTimeoutMs)

  - ### getMinBulkWriteTimeoutMsPerObject

    public int getMinBulkWriteTimeoutMsPerObject()

  - ### setMinBulkWriteTimeoutMsPerObject

    public StorageConfiguration setMinBulkWriteTimeoutMsPerObject(int minBulkWriteTimeoutMsPerObject)

  - ### isReadOnly

    public Boolean isReadOnly()

  - ### setReadOnly

    public StorageConfiguration setReadOnly(Boolean readOnly)